org.cybergarage.upnp.ssdp

## Class SSDPSearchResponseSocketList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector
      - - org.cybergarage.upnp.ssdp.SSDPSearchResponseSocketList

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable, Collection, List, RandomAccess

      public class SSDPSearchResponseSocketList
      extends Vector

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSDPSearchResponseSocketList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `SSDPSearchResponseSocket` | `getSSDPSearchResponseSocket(int n)`
    `boolean` | `open()`
    `boolean` | `open(int port)`
    `boolean` | `post(SSDPSearchRequest req)`
    `void` | `setControlPoint(ControlPoint ctrlPoint)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSDPSearchResponseSocketList

          public SSDPSearchResponseSocketList()

  - ### Method Detail

    - #### setControlPoint

          public void setControlPoint(ControlPoint ctrlPoint)

    - #### getSSDPSearchResponseSocket

          public SSDPSearchResponseSocket getSSDPSearchResponseSocket(int n)

    - #### open

          public boolean open(int port)

    - #### open

          public boolean open()

    - #### close

          public void close()

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### post

          public boolean post(SSDPSearchRequest req)